using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace lkfxdok.LKF.stat
{
    public class StatAbteilung
    {
        public readonly String ABTFC;
        public readonly int BT, ZUGNG, VVV, ABGNG, VERST, GPPAT, ETP;


        internal StatAbteilung (StatContext statContext, uint abtIndex)
        {
            ABTFC = statContext.GetLineName(StatType.Abt, abtIndex);
            BT = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Belagstage);
            ZUGNG = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Aufnahmen);
            VVV = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Verblieben);
            ABGNG = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Entlassung);
            VERST = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Verstorben);
            GPPAT = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.GanzJahr);
            ETP = statContext.GetIntValue(StatType.Abt, abtIndex, StatField.Eintag);
        }
    }
}
